## GdauiCloud

GdauiCloud — Cloud widget

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkWidget * | gdaui_cloud_new ()
void | gdaui_cloud_set_selection_mode ()
void | gdaui_cloud_filter ()
GtkWidget * | gdaui_cloud_create_filter_widget ()
gdouble | ( *GdauiCloudWeightFunc ) ()
void | gdaui_cloud_set_weight_func ()

## Properties

int | label-column | Read / Write
double | max-scale | Read / Write
double | min-scale | Read / Write
GdaDataModel * | model | Read / Write
int | weight-column | Read / Write

## Signals

void | activate | Run First

## Types and Values

struct | GdauiCloud

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GdauiCloud

## Implemented Interfaces

GdauiCloud implements AtkImplementorIface, GtkBuildable, GtkOrientable and GdauiDataSelector.

## Includes

    #include <libgda/thread-wrapper/gda-thread-wrapper.h>

## Description

The GdauiCloud widget displays a string for each row in a GdaDataModel for which the size is variable (determined either by some data in the data model, or by a function provided by the programmer).

Depending on the selection mode of the widget, each string can be selected by the user and the "selection-changed" signal is emitted.

## Functions

### gdaui_cloud_new ()

    GtkWidget *
    gdaui_cloud_new (GdaDataModel *model,
                     gint label_column,
                     gint weight_column);

Creates a new GdauiCloud widget suitable to display the data in `model`

#### Parameters

model | a GdaDataModel |

#### Returns

the new widget.

[transfer full]

Since: 4.2

### gdaui_cloud_set_selection_mode ()

    void
    gdaui_cloud_set_selection_mode (GdauiCloud *cloud,
                                    GtkSelectionMode mode);

Sets `cloud` 's selection mode

#### Parameters

cloud | a GdauiCloud widget |
mode | the desired selection mode |

Since: 4.2

### gdaui_cloud_filter ()

    void
    gdaui_cloud_filter (GdauiCloud *cloud,
                        const gchar *filter);

Filters the elements displayed in `cloud` , by altering their color.

#### Parameters

cloud | a GdauiCloud widget |
filter | the filter to use, or `NULL` to remove any filter. | [allow-none]

Since: 4.2

### gdaui_cloud_create_filter_widget ()

    GtkWidget *
    gdaui_cloud_create_filter_widget (GdauiCloud *cloud);

Creates a search widget linked directly to modify `cloud` 's appearance.

#### Parameters

cloud | a GdauiCloud widget |

#### Returns

a new widget.

[transfer full]

Since: 4.2

### GdauiCloudWeightFunc ()

    gdouble
    (*GdauiCloudWeightFunc) (GdaDataModel *model,
                             gint row,
                             gpointer data);

### gdaui_cloud_set_weight_func ()

    void
    gdaui_cloud_set_weight_func (GdauiCloud *cloud,
                                 GdauiCloudWeightFunc func,
                                 gpointer data);

Specifies a function called by `cloud` to compute each row's respective weight.

#### Parameters

cloud | a GdauiCloud widget |
func | a GdauiCloudWeightFunc function which computes weights, or `NULL` to unset. | [allow-none][scope notified]
data | a pointer to pass as last argument of `func` each time it is called, or `NULL`. | [allow-none]

Since: 4.2

## Types and Values

### struct GdauiCloud

    struct GdauiCloud;

## Property Details

### The `“label-column”` property

      “label-column”             int

Column in the data model which contains the text to display, the column must be a G_TYPE_STRING.

Owner: GdauiCloud

Flags: Read / Write

Allowed values: >= -1

Default value: -1

### The `“max-scale”` property

      “max-scale”                double

Owner: GdauiCloud

Flags: Read / Write

Allowed values: [0.1,10]

Default value: 3

### The `“min-scale”` property

      “min-scale”                double

Owner: GdauiCloud

Flags: Read / Write

Allowed values: [0.1,10]

Default value: 0.8

### The `“model”` property

      “model”                    GdaDataModel *

Owner: GdauiCloud

Flags: Read / Write

### The `“weight-column”` property

      “weight-column”            int

Owner: GdauiCloud

Flags: Read / Write

Allowed values: >= -1

Default value: -1

## Signal Details

### The `“activate”` signal

    void
    user_function (GdauiCloud *gdauicloud,
                   int         arg1,
                   gpointer    user_data)

Flags: Run First